extends ../_docs-template

block vars
  - var activeLink = 'svelte';
  - var title = 'Link Svelte Component | Framework7 Svelte Documentation';

block docs-index

block content

  .docs-nav
    include ../_docs-menu-svelte
  .docs-content
    .motion-docs-page-title
      h1 Link Svelte Component
      script(src="/js/motion/link.js")
      f7-motion-link(motion)

    p Link is main component to create links for navigation, custom actions, switching tabs, open/close panels, etc.

    h2 Link Components
    p There are following components included:
    ul
      li `Link`

    h2 Link Properties
    table.params-table
      thead
        tr
          th Prop
          th Type
          th Default
          th Description
      tbody
        tr
          th(colspan="4") &lt;Link&gt; properties
        tr
          td noLinkClass
          td boolean
          td
          td Removes "link" class
        tr
          td tabLink
          td string<br>boolean
          td
          td Enables tab link and specify CSS selector of the target tab (if specified as a string)
        tr
          td tabLinkActive
          td boolean
          td
          td Makes this tab link active
        tr
          td text
          td string
          td
          td Link text
        tr
          td badge
          td string<br>number
          td
          td Badge count
        tr
          td badgeColor
          td string
          td
          td Badge color. One of the <a href="../docs/color-themes.html">default colors</a>
        tr
          td iconOnly
          td boolean
          td
          td Enable when used in navbar/toolbar with icon only inside
        tr
          td tooltip
          td string
          td
          td Link <a href="../docs/tooltip.html">tooltip</a> text to show on link hover/press
        tr
          td tooltipTrigger
          td string
          td hover
          td Defines how to trigger (open) Tooltip. Can be `hover`, `click` or `manual`
        tr
          th(colspan="4") &lt;Link&gt; Smart Select related properties
        tr
          td smartSelect
          td boolean
          td false
          td Enables Smart Select behavior
        tr
          td smartSelectParams
          td object
          td
          td Object with <a href="../docs/smart-select.html#smart-select-parameters">Smart Select Parameters</a>
        tr
          th(colspan="4") &lt;Link&gt; icon related properties
        +svelteLinkIconProps
        tr
          td iconBadge
          td string<br>number
          td
          td Adds badge to the icon (intended to be used in Tabbar's icons)
        tr
          th(colspan="4") &lt;Link&gt; navigation/router related properties
        +svelteLinkRouterProps
        tr
          th(colspan="4") &lt;Link&gt; action related properties
        +svelteLinkActionsProps

    h2 Link Events
    table.events-table
      thead
        tr
          th Event
          th Description
      tbody
        tr
          th(colspan="2") &lt;Link&gt; events
        tr
          td click
          td Event will be triggered after click on a link

    h2 Examples
    h4 Navigation Link
    :code(lang="svelte")
          <Link href="/about/">About</Link>

    h4 Back Navigation Link
    :code(lang="svelte")
          <Link back>Back</Link>

    h4 With Router Parameters
    :code(lang="svelte")
          <Link href="/about/" animate={false} ignoreCache={true}>About</Link>

    h4 External Link
    :code(lang="svelte")
          <Link href="http://google.com" external>Google</Link>

    h4 Tab Link
    :code(lang="svelte")
          <!-- Tabs -->
          <Tabs>
            <Tab id="tab-1" tabActive>Tab 1</Tab>
            <Tab id="tab-2">Tab 2</Tab>
          </Tabs>
          <!-- Switch Between Tabs -->
          <Link tabLink="#tab-1" tabLinkActive>Show Tab 1</Link>
          <Link tabLink="#tab-2">Show Tab 2</Link>

    h4 Routable Tabs
    :code(lang="svelte")
          <!-- Tabs -->
          <Tabs>
            <Tab id="tab-1"></Tab>
            <Tab id="tab-2"></Tab>
          </Tabs>
          <!-- Switch Between Tabs -->
          <Link tabLink routeTabId="tab-1" href="/tabs/">Show Tab 1</Link>
          <Link tabLink routeTabId="tab-2" href="/tabs/tab-2/">Show Tab 2</Link>

    h4 Open And Close Panel
    :code(lang="svelte")
          <Link panelOpen="left">Open Left Panel</Link>
          <Link panelClose>Close Panel</Link>

    h4 Open and Close Popup
    :code(lang="svelte")
          <Link popupOpen="#my-popup">Open Popup</Link>
          <Link popupClose="#my-popup">Close Popup</Link>

    h4 With Icon & Color
    :code(lang="svelte")
          <Link iconF7="house" text="Home" color="red"></Link>
